Seccl - Get a list of client products for the given account Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/addons/seccl/{addon}/client-products/{account_uuid}

Path parameters

  • addon string Required
  • account_uuid string Required

Query parameters

  • wrapper_type string

    Filter by wrapper type.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • id string

      The unique identifier of the client product

    • client_ids array[string]

      The client IDs associated with this product

    • node_id string

      The node ID of the client product

    • wrapper_type string

      The wrapper type (ISA, JISA, PENSION, GIA)

    • terms_accepted boolean

      Whether the product terms have been accepted

    • declaration_accepted_date string

      When the declaration was accepted (ISA/JISA)

    • accepted_provider_terms boolean

      Whether provider terms were accepted (PENSION)

GET /api/v1/addons/seccl/{addon}/client-products/{account_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/addons/seccl/octopus_money/client-products/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": "CP12345",
  "client_ids": [
    "031DF6J"
  ],
  "node_id": "N12345",
  "wrapper_type": "ISA",
  "terms_accepted": true,
  "declaration_accepted_date": "2025-01-01T00:00:00+00:00",
  "accepted_provider_terms": true
}